RhinoScriptSyntax BoundingBox issue

I’m trying to get a 2D bounding box for a polyline in a plane. The BoundingBox component seems to be failing to coerce geometry from my Polylines. Is this because I’m trying to do a 2D operation when it needs to be 3D? Is it a glitch? Thanks for any help.

BBoxProblem.gh (7.3 KB)

Pufferfish has a handy bounding rectangle component…

You’ll need to change input type hint back to ghdoc objects for rhinoscriptsyntax to work usually. Also return value is box corners so you need to convert them back to box

import rhinoscriptsyntax as rs

Rectangles = []
for Pline,Plane in zip(Plines,Planes):
    Rectangles.append(rs.BoundingBox(Pline,Plane))

Rectangles = [rs.AddBox(pts) for pts in Rectangles]
1 Like